package com.tuoheng.common.security.constant;

/**
 * 安全配置常量
 */
public class SecurityConstant {

    /**
     * 令牌类型
     */
    public static final String BEARER_TOKEN_TYPE = "Bearer";

    /**
     * 授权token url
     */
    public static final String AUTH_TOKEN = "/oauth/token";

    /**
     * 注销token url
     */
    public static final String TOKEN_LOGOUT = "/token/logout";

    /**
     * 用户ID字段
     */
    public static final String DETAILS_USER_ID = "id";

    /**
     * 用户名字段
     */
    public static final String DETAILS_USERNAME = "username";

}
