package com.tuoheng.admin.dto;

import com.tuoheng.admin.entity.RoadInformation;
import com.tuoheng.admin.entity.Section;
import lombok.Data;

import java.util.List;

/**
 * 公路路段对应
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class RoadSectionDto {

    /**
     * 公路
     */
    private RoadInformation road;

    /**
     * 路段
     */
    private List<Section> sectionList;

}
