package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_business")
public class Business extends BaseEntity {
    /**
     * 消息id
     */
    private String msgId;

    /**
     * 类型：1巡检任务
     */
    private Integer type;

    /**
     * 类型ID(type对应类型对应的业务ID)
     */
    private String typeId;

    /**
     * 租户id
     */
    private String tenantId;
}