package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.InspectionHistory;

import java.util.Map;

/**
 * 巡检任务历史Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-28
 */
public interface InspectionHistoryMapper extends BaseMapper<InspectionHistory> {

    /**
     *
     * 逻辑删除巡检任务历史
     *
     * @param map
     * @return
     */
    int deleteLogicByMap(Map<String, Object> map);


    /**
     *
     * 物理删除巡检任务问题历史
     *
     * @param inspectionId
     * @return
     */
    int deleteByInspectionId(String inspectionId);

}
