package com.tuoheng.admin.query;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/3/7
 */
@Data
public class AccidentQuery extends BaseQuery {

    /**
     * 租户id
     */
    private String tenantId;

    /**
     *公路编号
     */
    private String code;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     *起始日期
     */
    private String startTime;

    /**
     *结束日期
     */
    private String endTime;

    /**
     * 起始日期
     */
    private Date accidentStartTime;

    /**
     * 结束日期
     */
    private Date accidentEndTime;

}
