package com.tuoheng.admin.request.oidc;

import com.tuoheng.admin.dto.ClientRoleDto;
import lombok.Data;

import java.util.List;

/**
 * @Author xiaoying
 * @Date 2022/11/30 13:23
 */
@Data
public class OidcCreateUserRequest {

    private String username;

    private String password;

    private List<ClientRoleDto> clientRoleDtoList;

    /**
     * 租户code
     */
    private String code;

    /**
     * 租户名称
     */
    private String name;

    /**
     * 如果不是租户，传值：用户所属租户名称
     */
    private String tenantName;

    /**
     * 是否为租户标识
     * 0:不是；1：是
     */
    private Integer tenantFlag;
}
