package com.tuoheng.admin.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/12/5
 */
@Data
public class InspectionListVo {

    /**
     * 任务id
     */
    private String id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 执行时间
     */
    @DateTimeFormat(pattern = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy/MM/dd", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 执行人
     */
    private String createUser;


}
