package com.tuoheng.api;

import com.alibaba.druid.stat.DruidStatManagerFacade;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/demo")
public class DemoController {

    @GetMapping("/hello")
    public String hello() {
        return "tuoheng_api hello";
    }

    @GetMapping("/test")
    public String test() {
        return "tuoheng_api test";
    }

//    @GetMapping("/druid/stat")
//    public Object druidStat(){
//        // DruidStatManagerFacade#getDataSourceStatDataList 该方法可以获取所有数据源的监控数据，除此之外 DruidStatManagerFacade 还提供了一些其他方法，你可以按需选择使用。
//        return DruidStatManagerFacade.getInstance().getDataSourceStatDataList();
//    }

}
