package com.tuoheng.miniprogram.constant;

/**
 * 常量类
 *
 * @author: chenyukun
 * @date: 2022-06-14
 */
public final class CommonConstant {
    /**
     * 构造器私有化
     */
    private CommonConstant() {
    }

    /**
     * 直播通道状态获取列表地址
     */
    public final static String LIVE_CHANNEL_GETLIVECHANNELLIST_URL = "streaming/getLimit/{num}";

    /**
     * 直播通道状态获取地址
     */
    public final static String LIVE_CHANNEL_GETLIVESTATUS_URL = "streaming/getInfo/{code}";

    /**
     * 直播通道占用设置地址
     */
    public final static String LIVE_CHANNEL_USELIVECHANNEL_URL = "streaming/setUseing";

    /**
     * 直播通道释放地址
     */
    public final static String LIVE_CHANNEL_DELIVER_URL = "streaming/setDeliver";

    /**
     * 运行模式英文名称
     */
    public final static String SERVICE_MODE = "service_mode";

    /**
     * 回调地址名称
     */
    public final static String CALLBACK_URL = "callback_url";

    /**
     * 原视频地址字段名称
     */
    public final static String ORIGINAL_URL = "original_url";

    /**
     * 推流地址
     */
    public final static String PUSH_URL = "push_url";

    /**
     * 拉流地址
     */
    public final static String PULL_URL = "pull_url";

    /**
     * ai推流地址
     */
    public final static String AIPUSH_URL = "aipush_url";

    /**
     * ai拉流地址
     */
    public final static String AIPUll_URL = "aipull_url";

    /**
     * rtmp协议
     */
    public final static String RTMP = "rtmp";

    /**
     * https协议
     */
    public final static String HTTPS = "https";

    /**
     * artc协议
     */
    public final static String ARTC = "artc";


    /**
     * M3U8格式
     */
    public final static String M3U8 = ".m3u8";

    /**
     * flv格式
     */
    public final static String FLV = ".flv";

    /**
     * 字符串长度限制
     */
    public final static Integer STRING_LENGTH = 1000;

    /**
     * 分析进度100%
     */
    public final static Double PROGRESS_NUM = 1.0000;

    /**
     * 公共默认值
     */
    public final static Integer COMMON_DEFAULT_VALUE = 0;
}
