package com.tuoheng.miniprogram.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *  返回部门树形列表视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-19
 */
@Data
public class DeptTreeVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 上级ID
     */
    private String pid;

    /**
     * 子部门
     */
    private List<DeptTreeVo> children = new ArrayList<>();


}
