package com.tuoheng.admin.controller;

import com.tuoheng.admin.service.questiontype.IQuestionTypeService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ChengWang
 * @Date 2022/11/29
 */
@RestController
@RequestMapping("/question/type")
public class QuestionTypeController {

    @Autowired
    private IQuestionTypeService questionTypeService;

    /**
     * 查询问题类型列表
     *
     * @return
     */
    @GetMapping("/list")
    public JsonResult getList() {
        return questionTypeService.getList();
    }

}
