package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.entity.Dept;
import com.tuoheng.admin.vo.accident.AccidentVo;
import com.tuoheng.admin.vo.dept.DeptInfoVo;
import com.tuoheng.admin.vo.dept.DeptTreeVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AccidentConverMapper {

    AccidentConverMapper INSTANCE = Mappers.getMapper(AccidentConverMapper.class);

    /**
     * deptList 转化为 deptVoList
     * @param accidentList
     *
     * @return
     */
    List<AccidentVo> accidentListToAccidentVoList(List<Accident> accidentList);

}
