package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.InspectionFile;
import com.tuoheng.admin.entity.InspectionFileHandle;

import java.util.List;
import java.util.Map;

/**
 * 巡检问题处理结果Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-23
 */
public interface InspectionFileHandleMapper extends BaseMapper<InspectionFileHandle> {

    /**
     *
     * 逻辑删除巡检任务问题处理结果
     *
     * @param map
     * @return
     */
    int deleteLogicByMap(Map<String, Object> map);


    /**
     *
     * 物理删除巡检任务问题处理结果
     *
     * @param inspectionFileIdList
     * @return
     */
    int deleteByInspectionFileIdList(List<String> inspectionFileIdList);

}
