package com.tuoheng.admin.request.accident;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2023/3/7
 */
@Data
public class QueryAccidentPageRequest extends BaseQuery {

    /**
     * 公路代号
     */
    private String code;

    /**
     * 监管部门
     */
    private String name;

    /**
     *是否有伤亡：0:无；1：有
     */
    private String isCasualties;

    /**
     * 事故类型
     */
    private String questionName;

    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理
     */
    private Integer status;


}
