package com.tuoheng.admin.request.dept;

import com.tuoheng.admin.dto.RoadSectionDto;
import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 根据部门id查询子部门列表请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
@Data
public class QueryDeptChildPageListRequest {

    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    private String id;

}
