package com.tuoheng.admin.request.report;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 查询报告分页列表请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
@Data
public class QueryReportPageListRequest extends BaseQuery {

    /**
     * 任务编码
     */
    private String inspectionCode;

    /**
     * 巡检任务类型: 1 临时巡检(目前只有该一种类型)
     */
    private Integer type;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 租户Id
     */
    private String tenantId;


}
