package com.tuoheng.admin.vo;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2022/11/18
 */
@Data
public class StructureInfoVo {

    /**
     *主键id
     */
    private String id;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 公路id
     */
    private String roadId;

    /**
     * 路段id
     */
    private String sectionId;

    /**
     * 构造物种类 1桥梁 2涵洞 3通道 4互通 5服务区 6收费站 7匝道 8机场
     */
    private Integer structureType;

    /**
     * 构造物名称
     */
    private String structureName;

    /**
     * 所属路段范围
     */
    private String sectionRange;

    /**
     *所属高速(公路代号)
     */
    private String code;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 构造物图片，多个用，拼接
     */
    private String imageUrl;


}
