package com.tuoheng.admin.vo.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/3/7
 */
@Data
public class QueryAccidentPageVO {

    /**
     * 公路代号
     */
    private String code;

    /**
     * 监管部门
     */
    private String name;

    /**
     *是否有伤亡：0:否；1：是
     */
    private Integer isCasualties;

    /**
     * 事故类型
     */
    private String questionName;

    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理
     */
    private Integer status;

    /**
     * 发生时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

}
