package com.tuoheng.admin.vo.inspection;

import lombok.Data;

/**
 *任务问题返回实体类
 *
 * @Author ChengWang
 * @Date 2022/11/29
 */
@Data
public class InspectionFileVo {

    /**
     * 任务名称
     */
    private String name;

    /**
     * 问题id
     */
    private String id;

    /**
     * 问题经度
     */
    private String latitude;

    /**
     * 问题经度
     */
    private String longitude;

    /**
     * 问题类型:类型名称：1横向裂缝，3网状裂纹，4坑槽，5块状裂纹，6积水
     */
    private Integer type;

    /**
     * 问题编号
     */
    private String code;

    /**
     * 巡检内容
     */
    private String content;

    /**
     * 标记图
     */
    private String fileImage;

}
