package com.tuoheng.admin.vo.inspection;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 查询巡检任务列表视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class QueryInspectionPageListVo {

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 巡检机场名称
     */
    private String airportName;

    /**
     * 巡检线路Id
     */
    private Integer inspectionLine;

    /**
     * 巡检线路名称
     */
    private String inspectionLineName;

    /**
     * 巡检任务类型: 1 临时巡检(目前只有该一种类型)
     */
    private Integer type;

    /**
     * 任务状态
     */
    private Integer status;

    /**
     * 巡检方式类型: 1 无人机 2机场巡逻 3 飞手值飞
     */
    private Integer inspectionType;

    /**
     * 部门Id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 已确认问题
     */
//    List<>

    /**
     * 发现问题
     */


    /**
     * 巡检时间
     */

}
